#if !defined(AFX_ADDSCRIPTDLG_H__18731090_DBC7_41AB_B922_BA76CF5C2A36__INCLUDED_)
#define AFX_ADDSCRIPTDLG_H__18731090_DBC7_41AB_B922_BA76CF5C2A36__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// AddScriptDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CAddScriptDlg dialog

class CAddScriptDlg : public CDialog
{
// Construction
public:
	CAddScriptDlg(CWnd* pParent = NULL);   // standard constructor
	
// Dialog Data
	//{{AFX_DATA(CAddScriptDlg)
	enum { IDD = IDD_ADDSCRIPT };
	CComboBox	m_ScriptList;
	CString	m_DFName;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAddScriptDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	CString MakeUniqueFileName(CString fname);
	// Generated message map functions
	//{{AFX_MSG(CAddScriptDlg)
	virtual void OnOK();
	afx_msg void OnSelchangeScriptlist();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ADDSCRIPTDLG_H__18731090_DBC7_41AB_B922_BA76CF5C2A36__INCLUDED_)
